import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.JOptionPane;

public class StatusPanel extends JPanel {

	JLabel status;

	// the panel at the bottom of the GUI
	public StatusPanel() {
		status = new JLabel("Game not started.");
		this.add(status);
	}

	public void setStatus(String newStatus) {
		status.setText(newStatus);
		this.removeAll();
		this.repaint();
		this.add(status);
		this.validate();
	}
}